org.springframework.web.reactive.resource

## Class FixedVersionStrategy

- java.lang.Object
- - org.springframework.web.reactive.resource.AbstractPrefixVersionStrategy
  - - org.springframework.web.reactive.resource.FixedVersionStrategy

All Implemented Interfaces:
  VersionStrategy

    public class FixedVersionStrategy
    extends AbstractPrefixVersionStrategy

A `VersionStrategy` that relies on a fixed version applied as a request path prefix, e.g. reduced SHA, version name, release date, etc.

This is useful for example when `ContentVersionStrategy` cannot be used such as when using JavaScript module loaders which are in charge of loading the JavaScript resources and need to know their relative paths.

Since:
  5.0
Author:
  Rossen Stoyanchev, Brian Clozel
See Also:
  `VersionResourceResolver`

### Field Summary

### Fields inherited from class org.springframework.web.reactive.resource.AbstractPrefixVersionStrategy

`logger`

### Constructor Summary

Constructors
Constructor and Description
`FixedVersionStrategy(String version)` Create a new FixedVersionStrategy with the given version string.

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.core.publisher.Mono<String>` `getResourceVersion(org.springframework.core.io.Resource resource)` Determine the version for the given resource.

### Methods inherited from class org.springframework.web.reactive.resource.AbstractPrefixVersionStrategy

`addVersion, extractVersion, removeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedVersionStrategy

    public FixedVersionStrategy(String version)

Create a new FixedVersionStrategy with the given version string.

Parameters:
  `version` - the fixed version string to use

### Method Detail

#### getResourceVersion

    public reactor.core.publisher.Mono<String> getResourceVersion(org.springframework.core.io.Resource resource)

Description copied from interface: `VersionStrategy`
Determine the version for the given resource.

Parameters:
  `resource` - the resource to check
Returns:
  the resource version